Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotDimensions Class Reference

`#include <RobotDimensions.h>`

Inheritance diagram for RobotDimensions:

[legend]
List of all members.

## Public Member Functions
| RobotDimensions (const double distancePanCenterToCameraX, const double distancePanCenterToCameraZ, const double distanceCameraToPSDSensor, const double distanceNeckToPanCenter, const double shoulderWidth, const double bodyWidth, const double overallBodyWidth, const double upperLegLengthX, const double upperLegLengthZ, const double lowerForeLegLengthX, const double lowerForeLegLengthZ, const double lowerHindLegLengthX, const double lowerHindLegLengthZ, const double lengthBetweenLegs, const double neckToLegsLengthX, const double neckToLegsLengthZ, const double specsKneeArc, const double bodyLength, const double lowerBodyWidth, const double shoulderRadius, const double kneeRadius, const double footRadius, const double jointLimitLeg1FN, const double jointLimitLeg1FP, const double jointLimitLeg1HN, const double jointLimitLeg1HP, const double jointLimitLeg2N, const double jointLimitLeg2P, const double jointLimitLeg3N, const double jointLimitLeg3P, const double jointLimitNeckTiltN, const double jointLimitNeckTiltP, const double jointLimitHeadPanN, const double jointLimitHeadPanP, const double jointLimitHeadTiltN, const double jointLimitHeadTiltP, const double jointLimitTailTiltN, const double jointLimitTailTiltP, const double jointLimitTailPanN, const double jointLimitTailPanP, const double motionCycleTime, const double imagesPerSecond)
| image frame rate of the camera in Hz.
## Public Attributes
const double | distancePanCenterToCameraX
| x-distance camera to center of head (specs)
const double | distancePanCenterToCameraZ
| z-distance camera to center of head (specs)
const double | distanceCameraToPSDSensor
| z-distanse camera to PSDsensor (estimated?)
const double | distanceNeckToPanCenter
| distance center of head to neck (specs)
const double | shoulderWidth
| width between shoulder joints (specs)
const double | bodyWidth
| width between knee joints (specs)
const double | overallBodyWidth
| overall width of the body including legs (specs)
const double | upperLegLengthX
| length upper leg joint to joint in x-direction (specs)
const double | upperLegLengthY
| length upper leg joint to joint in y-direction (calculated)
const double | upperLegLengthZ
| length upper leg joint to joint in z-direction (specs)
const double | upperLegLength
| length upper leg joint to joint (calculated)
const double | lowerForeLegLengthX
| length lower front leg joint to footbase in x-direction (specs)
const double | lowerForeLegLengthZ
| length lower front leg joint to footbase in z-direction (specs)
const double | lowerForeLegLength
| length lower front leg joint to footbase (calculated)
const double | lowerHindLegLengthX
| length lower rear leg joint to footbase in x-direction (specs)
const double | lowerHindLegLengthZ
| length lower rear leg joint to footbase in z-direction (specs)
const double | lowerHindLegLength
| length lower rear leg joint to footbase (calculated)
const double | lengthBetweenLegs
| length from front to rear legs (specs)
const double | neckToLegsLengthZ
| height from neck to front legs (specs)
const double | neckToLegsLengthX
| length from front legs to neck projected on x-axis (specs)
const double | lengthNeckToBodyCenter
| length from center of Robot to neck projected on x-axis (calculated)
const double | zeroShoulderArc
| arc resulting from upperLegLengthX and -Z (calculated)
const double | specsKneeArc
| knee arc lower leg lengths are based on (specs)
const double | zeroFrontKneeArc
| arc resulting from lowerForeLegLengthX and -Z (calculated)
const double | zeroHindKneeArc
| arc resulting from lowerHindLegLengthX and -Z (calculated)
const double | zeroBodyTilt
| body tilt when all joints are 0 (calculated)
const double | bodyLength
| length of robot body (estimated)
const double | lowerBodyWidth
| width of body core at bottom (estimated),
const double | shoulderRadius
| thickness of the body around the shoulder (estimated)
const double | kneeRadius
| thickness of the leg at the knee (estimated)
const double | footRadius
| thickness of the leg at the foot (estimated)
const double | motionCycleTime
const double | imagesPerSecond
| Length of one motion cycle in seconds.
joint limits in rad (estimated)
const double | jointLimitLeg1FN
const double | jointLimitLeg1FP
const double | jointLimitLeg1HN
const double | jointLimitLeg1HP
const double | jointLimitLeg2N
const double | jointLimitLeg2P
const double | jointLimitLeg3N
const double | jointLimitLeg3P
const double | jointLimitNeckTiltN
const double | jointLimitNeckTiltP
const double | jointLimitHeadPanN
const double | jointLimitHeadPanP
const double | jointLimitHeadTiltN
const double | jointLimitHeadTiltP
const double | jointLimitTailTiltN
const double | jointLimitTailTiltP
const double | jointLimitTailPanN
const double | jointLimitTailPanP

## Constructor & Destructor Documentation

RobotDimensions::RobotDimensions | ( | const double | distancePanCenterToCameraX,
|  | const double | distancePanCenterToCameraZ,
|  | const double | distanceCameraToPSDSensor,
|  | const double | distanceNeckToPanCenter,
|  | const double | shoulderWidth,
|  | const double | bodyWidth,
|  | const double | overallBodyWidth,
|  | const double | upperLegLengthX,
|  | const double | upperLegLengthZ,
|  | const double | lowerForeLegLengthX,
|  | const double | lowerForeLegLengthZ,
|  | const double | lowerHindLegLengthX,
|  | const double | lowerHindLegLengthZ,
|  | const double | lengthBetweenLegs,
|  | const double | neckToLegsLengthX,
|  | const double | neckToLegsLengthZ,
|  | const double | specsKneeArc,
|  | const double | bodyLength,
|  | const double | lowerBodyWidth,
|  | const double | shoulderRadius,
|  | const double | kneeRadius,
|  | const double | footRadius,
|  | const double | jointLimitLeg1FN,
|  | const double | jointLimitLeg1FP,
|  | const double | jointLimitLeg1HN,
|  | const double | jointLimitLeg1HP,
|  | const double | jointLimitLeg2N,
|  | const double | jointLimitLeg2P,
|  | const double | jointLimitLeg3N,
|  | const double | jointLimitLeg3P,
|  | const double | jointLimitNeckTiltN,
|  | const double | jointLimitNeckTiltP,
|  | const double | jointLimitHeadPanN,
|  | const double | jointLimitHeadPanP,
|  | const double | jointLimitHeadTiltN,
|  | const double | jointLimitHeadTiltP,
|  | const double | jointLimitTailTiltN,
|  | const double | jointLimitTailTiltP,
|  | const double | jointLimitTailPanN,
|  | const double | jointLimitTailPanP,
|  | const double | motionCycleTime,
|  | const double | imagesPerSecond
| ) | `[inline]`

| image frame rate of the camera in Hz. Definition at line 80 of file RobotDimensions.h. References lengthNeckToBodyCenter, lowerForeLegLength, lowerHindLegLength, upperLegLength, upperLegLengthY, zeroBodyTilt, zeroFrontKneeArc, zeroHindKneeArc, and zeroShoulderArc.

## Member Data Documentation

const double RobotDimensions::distancePanCenterToCameraX

| x-distance camera to center of head (specs) Definition at line 17 of file RobotDimensions.h. Referenced by Kinematics::calcNoseHeight(), and Kinematics::calculateCameraMatrix().

const double RobotDimensions::distancePanCenterToCameraZ

| z-distance camera to center of head (specs) Definition at line 18 of file RobotDimensions.h. Referenced by Kinematics::calculateCameraMatrix().

const double RobotDimensions::distanceCameraToPSDSensor

| z-distanse camera to PSDsensor (estimated?) Definition at line 19 of file RobotDimensions.h.

const double RobotDimensions::distanceNeckToPanCenter

| distance center of head to neck (specs) Definition at line 20 of file RobotDimensions.h. Referenced by Kinematics::calcHeadHeight(), and Kinematics::calculateCameraMatrix().

const double RobotDimensions::shoulderWidth

| width between shoulder joints (specs) Definition at line 22 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), RobotPoseSymbols::computeGoalieDefendMinPos(), and RobotPoseSymbols::updateGoalieDefendPosition().

const double RobotDimensions::bodyWidth

| width between knee joints (specs) Definition at line 23 of file RobotDimensions.h. Referenced by RobotPoseSymbols::computeGoalieDefendMinPos(), RobotVertices::RobotVertices(), and Kinematics::transformToLegBase().

const double RobotDimensions::overallBodyWidth

| overall width of the body including legs (specs) Definition at line 24 of file RobotDimensions.h. Referenced by Field::addPlayer().

const double RobotDimensions::upperLegLengthX

| length upper leg joint to joint in x-direction (specs) Definition at line 26 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotVertices::RobotVertices().

const double RobotDimensions::upperLegLengthY

| length upper leg joint to joint in y-direction (calculated) Definition at line 27 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotDimensions().

const double RobotDimensions::upperLegLengthZ

| length upper leg joint to joint in z-direction (specs) Definition at line 28 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::upperLegLength

| length upper leg joint to joint (calculated) Definition at line 29 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition(), Kinematics::kneePositionFromJoints(), Kinematics::legPositionFromJoints(), RobotDimensions(), and RobotVertices::RobotVertices().

const double RobotDimensions::lowerForeLegLengthX

| length lower front leg joint to footbase in x-direction (specs) Definition at line 30 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::lowerForeLegLengthZ

| length lower front leg joint to footbase in z-direction (specs) Definition at line 31 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::lowerForeLegLength

| length lower front leg joint to footbase (calculated) Definition at line 32 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), Kinematics::legPositionFromJoints(), RobotDimensions(), RobotVertices::RobotVertices(), and Kinematics::transformToLegBase().

const double RobotDimensions::lowerHindLegLengthX

| length lower rear leg joint to footbase in x-direction (specs) Definition at line 33 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::lowerHindLegLengthZ

| length lower rear leg joint to footbase in z-direction (specs) Definition at line 34 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::lowerHindLegLength

| length lower rear leg joint to footbase (calculated) Definition at line 35 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), Kinematics::legPositionFromJoints(), RobotDimensions(), RobotVertices::RobotVertices(), and Kinematics::transformToLegBase().

const double RobotDimensions::lengthBetweenLegs

| length from front to rear legs (specs) Definition at line 36 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotVertices::RobotVertices().

const double RobotDimensions::neckToLegsLengthZ

| height from neck to front legs (specs) Definition at line 37 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotVertices::RobotVertices().

const double RobotDimensions::neckToLegsLengthX

| length from front legs to neck projected on x-axis (specs) Definition at line 38 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotVertices::RobotVertices().

const double RobotDimensions::lengthNeckToBodyCenter

| length from center of Robot to neck projected on x-axis (calculated) Definition at line 39 of file RobotDimensions.h. Referenced by Field::addPlayer(), and RobotDimensions().

const double RobotDimensions::zeroShoulderArc

| arc resulting from upperLegLengthX and -Z (calculated) Definition at line 41 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition(), Kinematics::kneePositionFromJoints(), Kinematics::legPositionFromJoints(), RobotDimensions(), and RobotVertices::RobotVertices().

const double RobotDimensions::specsKneeArc

| knee arc lower leg lengths are based on (specs) Definition at line 42 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::zeroFrontKneeArc

| arc resulting from lowerForeLegLengthX and -Z (calculated) Definition at line 43 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition(), Kinematics::legPositionFromJoints(), RobotDimensions(), and RobotVertices::RobotVertices().

const double RobotDimensions::zeroHindKneeArc

| arc resulting from lowerHindLegLengthX and -Z (calculated) Definition at line 44 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition(), Kinematics::legPositionFromJoints(), RobotDimensions(), and RobotVertices::RobotVertices().

const double RobotDimensions::zeroBodyTilt

| body tilt when all joints are 0 (calculated) Definition at line 45 of file RobotDimensions.h. Referenced by Kinematics::getAbsoluteRobotVertices(), and RobotDimensions().

const double RobotDimensions::bodyLength

| length of robot body (estimated) Definition at line 47 of file RobotDimensions.h. Referenced by Field::addPlayer().

const double RobotDimensions::lowerBodyWidth

| width of body core at bottom (estimated), Definition at line 48 of file RobotDimensions.h. Referenced by BallPercept::checkOffset().

const double RobotDimensions::shoulderRadius

| thickness of the body around the shoulder (estimated) Definition at line 49 of file RobotDimensions.h. Referenced by Kinematics::calcNeckAndLegPositions().

const double RobotDimensions::kneeRadius

| thickness of the leg at the knee (estimated) Definition at line 50 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::footRadius

| thickness of the leg at the foot (estimated) Definition at line 51 of file RobotDimensions.h. Referenced by Kinematics::calcRelativeRobotVertices().

const double RobotDimensions::jointLimitLeg1FN

| Definition at line 55 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg1FP

| Definition at line 56 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg1HN

| Definition at line 57 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg1HP

| Definition at line 58 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg2N

| Definition at line 59 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg2P

| Definition at line 60 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg3N

| Definition at line 61 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitLeg3P

| Definition at line 62 of file RobotDimensions.h. Referenced by Kinematics::jointsFromLegPosition().

const double RobotDimensions::jointLimitNeckTiltN

| Definition at line 64 of file RobotDimensions.h. Referenced by Kinematics::calcLowestPossibleTilt(), GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitNeckTiltP

| Definition at line 65 of file RobotDimensions.h. Referenced by Kinematics::calcHighestPossibleTilt(), GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitHeadPanN

| Definition at line 66 of file RobotDimensions.h. Referenced by GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitHeadPanP

| Definition at line 67 of file RobotDimensions.h. Referenced by GT2005BasicBehaviorDirectedScanForLandmarks::execute(), GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitHeadTiltN

| Definition at line 68 of file RobotDimensions.h. Referenced by Kinematics::calcAbsRollJoints(), Kinematics::calcHighestPossibleTilt(), GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitHeadTiltP

| Definition at line 69 of file RobotDimensions.h. Referenced by Kinematics::calcAbsRollJoints(), Kinematics::calcLowestPossibleTilt(), GT2005HeadControl::GT2005HeadControl(), and GT2005HeadPathPlanner::init().

const double RobotDimensions::jointLimitTailTiltN

| Definition at line 71 of file RobotDimensions.h.

const double RobotDimensions::jointLimitTailTiltP

| Definition at line 72 of file RobotDimensions.h.

const double RobotDimensions::jointLimitTailPanN

| Definition at line 73 of file RobotDimensions.h.

const double RobotDimensions::jointLimitTailPanP

| Definition at line 74 of file RobotDimensions.h.

const double RobotDimensions::motionCycleTime

| Definition at line 77 of file RobotDimensions.h. Referenced by GT2005BallLocator::calculatePanningVelocityValue(), Geometry::calculateScaleFactor(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), and GT2003MotionNetSpecialActions::readOdometryTable().

const double RobotDimensions::imagesPerSecond

| Length of one motion cycle in seconds. Definition at line 78 of file RobotDimensions.h. Referenced by Geometry::calculateScaleFactor().

The documentation for this class was generated from the following file:

- Tools/Actorics/RobotDimensions.h